package user_cv

import (
	"git.hilo.cn/hilo-common/resource/mysql"
)

type UserBag struct {
	BagId         mysql.ID     `json:"bagId"`         // 背包id
	ResType       mysql.Type   `json:"resType"`       // 道具类型 1:礼物道具
	ResId         mysql.ID     `json:"resId"`         // 道具资源id
	GiftId        mysql.ID     `json:"giftId"`        // 道具的礼物id
	Name          string       `json:"name"`          // 资源名称
	DiamondNum    mysql.Num    `json:"diamondNum"`    // 钻石数量
	IconUrl       string       `json:"iconUrl"`       // icon url
	SvgaUrl       string       `json:"svgaUrl"`       // svga url
	Count         mysql.Num    `json:"count"`         // 拥有数量
	RemainDays    int          `json:"remainDays"`    // 有效天数
	TextStyleList []*TextStyle `json:"textStyleList"` // 文本样式
	HasGiftText   bool         `json:"hasGiftText"`   // 是否有礼物文字
}

type TextStyle struct {
	TextColor string  `json:"textColor"` //文本颜色
	TextSize  float32 `json:"textSize"`  //文本字体大小
	IsBold    bool    `json:"isBold"`    //是否加粗
	TextKey   string  `json:"textKey"`   //替换svga 对象里面的key
}
